Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.group.impl
Class GlueMember

    java.lang.Object
      com.pietschy.command.group.impl.AbstractGroupMember
          com.pietschy.command.group.impl.AbstractNonCommandMember
              com.pietschy.command.group.impl.GlueMember

All Implemented Interfaces:
  GroupMember

    public class GlueMember

extends AbstractNonCommandMember

A `GroupMember` instance that insert a glue object. This member ensures that glue members are never added to JMenuBars running on MacOS.

Field Summary

Fields inherited from class com.pietschy.command.group.impl.AbstractNonCommandMember
`_ID_`

Constructor Summary
`GlueMember()` Creates a new instance.

Method Summary
`int` | `addComponentTo(javax.swing.JComponent container, Factory factory, java.lang.String faceContext, java.util.List<java.awt.Component> previousComponents, int buttonIndex)` Invoked to add this members content to the specified component.

Methods inherited from class com.pietschy.command.group.impl.AbstractNonCommandMember
`acceptVisitor, addNotify, getId, isMemberFor, isWaitingFor, removeNotify, size`

Methods inherited from class com.pietschy.command.group.impl.AbstractGroupMember
`addChangeListener, fireChanged, notifyCommandContainerHierarchyChanged, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlueMember

    public GlueMember()

  Creates a new instance.

Method Detail

### addComponentTo

    public int addComponentTo(javax.swing.JComponent container,
                              Factory factory,
                              java.lang.String faceContext,
                              java.util.List<java.awt.Component> previousComponents,
                              int buttonIndex)

  Description copied from interface: `GroupMember`
  Invoked to add this members content to the specified component.

  Parameters:
    `container` - the component to add the component to.
    `factory` - the factory to be used, either a `ButtonFactory` or `MenuFactory`.
    `faceContext` - the context to use when adding the component.
    `previousComponents` - the list of previsous components built by the parent. The member should reuse and components in preference to creating new ones.
    `buttonIndex` - the index that of the member in the parent group.
  Returns:
    the number of components added by this member.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch